Bug 443551 - Failed to update syste: org.freedesktop.packagekit.update-system auth_admin_keep_always
Failed to update syste: org.freedesktop.packagekit.update-system auth_admin_k...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 02:59 EDT by Artem
Modified: 2008-05-01 06:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 06:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Artem 2008-04-22 02:59:46 EDT
Description of problem:
Using packageKitd to update system get 
"org.freedesktop.packagekit.update-system auth_admin_keep_always" trying to 
use "Update system now" on update applet.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Boot system
2.When applet says,that updates available press "update system now"
3.
  
Actual results:
"Failed to update system
The error was: org.freedesktop.packagekit.update-system auth_admin_keep_always"

Expected results:


Additional info:
System is upgraded, not fresh install
Comment 1 Richard Hughes 2008-04-22 14:00:18 EDT
What versions PackageKit and gnome-packagekit?
Comment 2 Artem 2008-04-23 03:03:21 EDT
gnome-packagekit-0.1.12-5.20080416git.fc9.x86_64
PackageKit-libs-0.1.12-4.20080416git.fc9.x86_64
PackageKit-0.1.12-4.20080416git.fc9.x86_64
Comment 3 Richard Hughes 2008-04-23 05:06:49 EDT
Did it ask you for the admin password? Can you give me some more details pls?
Comment 4 Artem 2008-04-23 05:11:53 EDT
It doesn't ask for any password, as I login as root.
Comment 5 Richard Hughes 2008-04-23 06:22:48 EDT
You shouldn't login as root. PackageKit just won't work like that - it's
designed as a user tool. GTK was never designed to be run as the root user.
Comment 6 Robin Norwood 2008-04-23 12:10:16 EDT
We should probably at least catch this case, since, despite all warnings, some
people will still run X as root.
Comment 7 Richard Hughes 2008-04-26 07:50:22 EDT
Fixed in PK: ef4c2d59397061ae594cd064b5ff6f12f7a11689 and GPK:
5e219c28a48bd75127cc0ee83723869b7b0bbef8

Want me to backport to stable?
Comment 8 Artem 2008-04-30 02:32:56 EDT
Would be nice to see it in F9 (I don't understand what do you mean by stable)
Comment 9 Richard Hughes 2008-05-01 06:30:18 EDT
Okay, we'll be getting 0.2.0 in F9 in a few weeks, so I'll mark it NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.